package com.bonus.canteen.core.supply.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

@ApiModel
public class DrpSupplierScoreRuleSectionVO {
   @ApiModelProperty("主键id")
   private Long id;
   @ApiModelProperty("规则id")
   private Long ruleId;
   @ApiModelProperty("左端值")
   private BigDecimal leftValue;
   @ApiModelProperty("右端值")
   private BigDecimal rightValue;
   @ApiModelProperty("区间设定分数")
   private BigDecimal sectionScore;

   public Long getId() {
      return this.id;
   }

   public Long getRuleId() {
      return this.ruleId;
   }

   public BigDecimal getLeftValue() {
      return this.leftValue;
   }

   public BigDecimal getRightValue() {
      return this.rightValue;
   }

   public BigDecimal getSectionScore() {
      return this.sectionScore;
   }

   public DrpSupplierScoreRuleSectionVO setId(final Long id) {
      this.id = id;
      return this;
   }

   public DrpSupplierScoreRuleSectionVO setRuleId(final Long ruleId) {
      this.ruleId = ruleId;
      return this;
   }

   public DrpSupplierScoreRuleSectionVO setLeftValue(final BigDecimal leftValue) {
      this.leftValue = leftValue;
      return this;
   }

   public DrpSupplierScoreRuleSectionVO setRightValue(final BigDecimal rightValue) {
      this.rightValue = rightValue;
      return this;
   }

   public DrpSupplierScoreRuleSectionVO setSectionScore(final BigDecimal sectionScore) {
      this.sectionScore = sectionScore;
      return this;
   }

   public String toString() {
      Long var10000 = this.getId();
      return "DrpSupplierScoreRuleSectionVO(id=" + var10000 + ", ruleId=" + this.getRuleId() + ", leftValue=" + String.valueOf(this.getLeftValue()) + ", rightValue=" + String.valueOf(this.getRightValue()) + ", sectionScore=" + String.valueOf(this.getSectionScore()) + ")";
   }
}
